# Others

### isPolicyExist

```solidity
function isPolicyExist(string _policyId_) external view returns (bool)
```

Get is the policy exist.

| Name       | Type   | Description    |
| ---------- | ------ | -------------- |
| *policyId* | string | The policy id. |

| Name | Type | Description                                   |
| ---- | ---- | --------------------------------------------- |
| \[0] | bool | True if the policy is exist, false otherwise. |

### getPolicyStatus

```solidity
function getPolicyStatus(string _policyId_) external view returns (PolicyStatus)
```

Get the policy status.

| Name       | Type   | Description    |
| ---------- | ------ | -------------- |
| *policyId* | string | The policy id. |

| Name | Type                                                                                         | Description        |
| ---- | -------------------------------------------------------------------------------------------- | ------------------ |
| \[0] | [PolicyStatus](/covest-insaas-protocol/insaas-smart-contracts/policy-states.md#policystatus) | The policy status. |

### getPoliciesStatus

```solidity
function getPoliciesStatus(string[] _policyIds_) external view returns (PolicyStatus[])
```

Get the policies status.

| Name        | Type      | Description                                 |
| ----------- | --------- | ------------------------------------------- |
| *policyIds* | string\[] | The parameter that contains the policy ids. |

| Name | Type                                                                                             | Description          |
| ---- | ------------------------------------------------------------------------------------------------ | -------------------- |
| \[0] | [PolicyStatus\[\]](/covest-insaas-protocol/insaas-smart-contracts/policy-states.md#policystatus) | The policies status. |

### getPolicyData

```solidity
function getPolicyData(string _policyId_) external view returns (PolicyData)
```

Get the policy data.

| Name       | Type   | Description    |
| ---------- | ------ | -------------- |
| *policyId* | string | The policy id. |

| Name | Type                                                                                     | Description      |
| ---- | ---------------------------------------------------------------------------------------- | ---------------- |
| \[0] | [PolicyData](/covest-insaas-protocol/insaas-smart-contracts/policy-states.md#policydata) | The policy data. |

### getPoliciesData

```solidity
function getPoliciesData(string[] _policyIds_) external view returns (PolicyData[])
```

Get the policies data.

| Name        | Type      | Description                                 |
| ----------- | --------- | ------------------------------------------- |
| *policyIds* | string\[] | The parameter that contains the policy ids. |

| Name | Type                                                                                         | Description        |
| ---- | -------------------------------------------------------------------------------------------- | ------------------ |
| \[0] | [PolicyData\[\]](/covest-insaas-protocol/insaas-smart-contracts/policy-states.md#policydata) | The policies data. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.covestlabs.com/covest-insaas-protocol/insaas-smart-contracts/policyholder/policy-manager/others.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
